
package de.ivu.elect.presentation.system.menu;

import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.menu.AbstractMenuItemEntry;
import de.ivu.elect.presentation.security.AbstractGebietSecurity;
import de.ivu.elect.presentation.system.SystemUebersichtView;

public class SystemUebersichtMenuItemEntry extends AbstractMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Override
  public boolean isRendered() {
    return hasUseCasePermission(UseCasePermission.SYSTEM_UEBERSICHT_ANZEIGEN);
  }

  @Override
  public String getLabelKey() {
    return "system.uebersicht.menu.item.label";
  }

  @Override
  public String getTargetViewId() {
    return SystemUebersichtView.VIEW_ID;
  }

  @Override
  public boolean isDisabledInternal() {
    return false;
  }

  @Override
  public String getIcon() {
    return getIcons().getIconDesktop();
  }

  @Override
  protected AbstractGebietSecurity getGebietSecurity() {
    return KEINE_GEBIET_SECURITY;
  }

}
